<div class="row">
	<div class="tabs-container">
		<ul class="nav nav-tabs">
			<li class="active">
				<a id="nueva-compra-compra-tab" href="#nueva-compra-compra-wrapper" data-toggle="<?php if(isset($entrada)):?>tab<?php else:?>no-tab<?php endif;?>">Compra</a>
			</li>
			<li>
				<a id="nueva-compra-gastos-tab"  href="#nueva-compra-gastos-wrapper" data-toggle="<?php if(isset($entrada)):?>tab<?php else:?>no-tab<?php endif;?>">Gastos de Compra</a>
			</li>
			<?php if(!isset($entrada)):?>
			<li>
				<a id="nueva-compra-precios-tab"  href="#nueva-compra-precios-wrapper" data-toggle="no-tab">Precios</a>
			</li>
			<?php endif;?>
		</ul>
		<div class="tab-content">
			<!--Compra-->
			<div id="nueva-compra-compra-wrapper" class="tab-pane active">
				<div class="panel-body">
					<div class="form-group">
						<label class="control-label col-sm-1">Proveedor:</label>
						<div class="col-sm-3">
							<select id="nueva-compra-proveedor" class="form-control" <?php if(isset($entrada)) echo 'disabled';?>>
								<?php if(isset($entrada)):?>
								<option selected data-type="<?php echo $compra->clasificacion;?>"><?php echo $compra->nproveedor.' - '.$compra->rproveedor;?></option>
								<?php else:?>
								<option value="" disabled selected>Seleccione uno...</option>
								<?php if(count($proveedores)>0):
									foreach($proveedores as $proveedor):?>
									<option value="<?php echo $proveedor->id_proveedor;?>" data-type="<?php echo $proveedor->clasificacion_proveedor?>"><?php echo $proveedor->nombre_proveedor." - ".$proveedor->razonsocial_proveedor;?></option>
								<?php endforeach;endif;?>
								<?php endif;?>
							</select>
						</div>
						<label class="control-label col-sm-1">Condici&oacute;n:</label>
						<div class="col-sm-2">
							<select class="form-control" id="nueva-compra-condicion" <?php if(isset($entrada)) echo 'disabled';?>>
								<option value="0" <?php if(isset($entrada)&&$compra->condicion==0) echo 'selected';?>>Contado</option>
								<option value="1" <?php if(isset($entrada)&&$compra->condicion==1) echo 'selected';?>>Credito</option>
							</select>
						</div>
						<label class="control-label col-sm-1">Documento:</label>
						<div class="col-sm-2">
							<select class="form-control" id="nueva-compra-documento" <?php if(isset($entrada)) echo 'disabled';?>>
								<option value="0" <?php if(isset($entrada)&&$compra->doc==0) echo 'selected';?>>Comprobante de cr&eacute;dito fiscal</option>
								<option value="1" <?php if(isset($entrada)&&$compra->doc==1) echo 'selected';?>>Factura</option>
							</select>
						</div>
						<div class="col-sm-2">
							<input type="text" class="form-control" placeholder="Numero"  id="nueva-compra-documento-numero" <?php if(isset($entrada)) echo 'disabled';?> value="<?php if(isset($entrada)) echo $compra->num;?>">
						</div>
					</div>
				</div>
				<!--add-->
				<div id="nueva-compra-productos-wrapper">
					<?php if(!isset($entrada)):?>
					<div class="form-group" id="nueva-compra-producto-info">
						<div class="col-sm-2">
							<label>SKU</label>
							<div class="input-group">
								<input type="text" id="nueva-compra-producto-sku" class="form-control frame-control frame-producto-sku">
								<input type="hidden" id="nueva-compra-producto-id" class="frame-control frame-producto-id">
								<input type="hidden" id="nueva-compra-presentacion-id" class="frame-control frame-presentacion-id">
								<input type="hidden" id="nueva-compra-unidades-representativas" class="frame-control frame-unidades-representativas">
								<input type="hidden" id="nueva-compra-producto-tipoventa" class="frame-control frame-producto-tipoventa">
								<input type="hidden" id="nueva-compra-producto-precios" class="frame-control frame-producto-precios">
								<span class="input-group-btn">
									<button type="button" id="compras-buscar-producto-btn" class="btn btn-primary"><i class="fa fa-search"></i></button>
								</span>
							</div>
						</div>
						<div class="col-sm-4">
							<label>Descripci&oacute;n</label>
							<input type="text" id="nueva-compra-producto-desc" class="form-control  frame-control frame-producto-desc" readonly>
						</div>
						<div class="col-sm-2">
							<label>Cantidad</label>
							<input type="number" id="nueva-compra-producto-cant" min="1" class="form-control frame-control frame-producto-cant" data-valid-type="number">
						</div>
						<div class="col-sm-2">
							<label>Costo</label>
							<input type="text" id="nueva-compra-producto-costo" class="form-control frame-control frame-producto-costo" data-valid-type="number">
						</div>
						<div class="col-sm-2">
							<button type="button" id="nueva-compra-producto-agregar" class="btn btn-info btn-md m-t-md frame-producto-add-btn">Agregar</button>
						</div>
					</div>
					<?php endif;?>
					<!--table header-->
					<div>
						<table class="table table-hover" style="margin:0px;">
							<thead>
								<tr>
									<th style="width:15%">SKU</th>
									<th style="width:40%">Nombre</th>
									<th style="width:10%">Cant.</th>
									<th style="width:10%">Costo.</th>
									<th style="width:10%">Total.</th>
									<th style="width:5%"></th>
									<th style="width:10%">Quitar</th>
								</tr>
							</thead>
						</table>
					</div>
					<!--tabla body-->
					<div id="nueva-entrada-compra-productos-wrapper" style="height:150px;overflow:hidden;">
						<table class="table table-hover">
							<tbody>
								<?php if(isset($entrada)):if(count($productos)>0):foreach($productos as $producto):?>
									<tr>
										<td class='table-sku' data-value='<?php echo $producto->sku;?>'><?php echo $producto->sku;?></td>
										<td class='table-desc' data-value='<?php echo $producto->desc;?>'><?php echo $producto->desc;?></td>
										<td class='table-cant' data-value='<?php echo $producto->cant;?>'><?php echo $producto->cant;?></td>
										<td class='table-costo' data-value='<?php echo $producto->costo;?>'><?php echo $producto->costo;?></td>
										<td class='table-total' data-value='<?php echo $producto->cant*$producto->costo;?>'><?php echo $producto->cant*$producto->costo;?></td>
										<td class='table-tipoventa' data-value='<?php echo $producto->tipo;?>'><?php switch($producto->tipo){case 0: echo 'G';break;case 1:echo 'E';break;case 2:echo 'NS';break;}?></td>
										<td class='table-del'></td>
									</tr>
								<?php endforeach;endif;endif;?>
							</tbody>
						</table>
					</div>
					<!--totales-->
					<div class="row">
						<div class="col-sm-8">
							<h3 class="m-lg transacction-item-counter">Items en la compra: <b>0</b></h3>
						</div>
						<div class="col-sm-4">
							<table class="table" id="nueva-entrada-compra-totales-wrapper">
								<tbody>
								
								</tbody>
							</table>
						</div>
					</div>
					<!--Hiddens-->
					<div>
						<input type="hidden" id="credito-compra" value="">
						<input type="hidden" id="ncredito-fecha-limite" value="">
					</div>
					<!--totales-->
					<?php if(!isset($entrada)):?>
					<div class="form-group" style="margin:0; text-align:center;">
						<button type="button" class="btn btn-danger btn-rounded" onclick="Custombox.close();">Cancelar</button>
						<!--<button type="submit" id="guardar-compra-btn" class="btn btn-primary btn-rounded" onclick="entradas.validarEntradaCompra(event);" >Guardar compra</button>-->
						<button type="button" id="nueva-compra-productos-next-btn" class="btn btn-primary btn-rounded">Siguiente</button>
					</div>
					<?php endif;?>
				</div>
			</div>
			<div id="nueva-compra-gastos-wrapper" class="tab-pane">
				<h3 style="padding:5px 0px;border-bottom:solid 1px #D1D1D1;">Gastos de compra</h3>
				<?php if(!isset($entrada)):?>
				<div class="form-group">
					<div class="col-sm-7">
						<label>Descripci&oacute;n</label>
						<input type="text" id="nueva-compra-gasto-desc" class="form-control">
					</div>
					<div class="col-sm-3">
						<label>Importe</label>
						<input type="text" id="nueva-compra-gasto-importe" class="form-control" data-valid-type="number">
					</div>
					<div class="col-sm-2">
						<button type="button" id="nueva-compra-gastos-agregar" class="btn btn-info btn-md m-t-md">Agregar</button>
					</div>
				</div>
				<?php endif;?>
				<!---->
				<table class="table table-hover" style="margin:0px;">
					<thead>
						<tr>
							<th style="width:75%">Nombre</th>
							<th style="width:15%">Costo.</th>
							<th style="width:10%">Quitar</th>
						</tr>
					</thead>
				</table>
				<div id="nueva-entrada-compra-gastos-wrapper">
					<table class="table table-hover">
						<tbody>
							<?php if(isset($compra)): $totalGasto=0; if(count($gastos)):foreach($gastos as $gasto):?>
									<tr>
										<td><?php echo $gasto->desc;?></td>
										<td><?php echo $gasto->importe;?></td>
										<td></td>
									</tr>
							<?php $totalGasto+=$gasto->importe; endforeach;else:?>
								<small class="text-center" style="display:block;margin:25px;">No se registraron gastos para esta compra</small>
							<?php endif;endif;?>
						</tbody>
					</table>
				</div>
				<div class="row">
					<div class="col-sm-8">
					</div>
					<div class="col-sm-4">
						<table class="table" id="nueva-entrada-gastos-totales-wrapper">
							<tbody>
								<tr>
									<td width="60%"><h3><strong>TOTAL DE GASTOS</strong></h3></td>
									<td width="10%"><h3>$</h3></td>
									<td width="30%" id="nueva-entrada-gastos-total" data-value="0"><h3><?php if(isset($compra)): echo $totalGasto; else:echo'0';endif;?></h3></td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
				<?php if(!isset($entrada)):?>
				<div class="form-group" style="margin:0; text-align:center;">
					<button type="button" class="btn btn-danger btn-rounded" onclick="Custombox.close();">Cancelar</button>
					<button type="button" id="nueva-compra-gastos-next-btn" class="btn btn-primary btn-rounded">Guardar compra</button>
				</div>
				<?php endif;?>
			</div>
			<!--Precios-->
			<?php if(!isset($entrada)):?>
			<div id="nueva-compra-precios-wrapper" class="tab-pane">
				<div class="m-lg">
					<div class="sk-spinner sk-spinner-fading-circle">
						<div class="sk-circle1 sk-circle"></div>
						<div class="sk-circle2 sk-circle"></div>
						<div class="sk-circle3 sk-circle"></div>
						<div class="sk-circle4 sk-circle"></div>
						<div class="sk-circle5 sk-circle"></div>
						<div class="sk-circle6 sk-circle"></div>
						<div class="sk-circle7 sk-circle"></div>
						<div class="sk-circle8 sk-circle"></div>
						<div class="sk-circle9 sk-circle"></div>
						<div class="sk-circle10 sk-circle"></div>
						<div class="sk-circle11 sk-circle"></div>
						<div class="sk-circle12 sk-circle"></div>
					</div>
					<small style="display:block;text-align:center;">Cargando...</small>
				</div>
			</div>
			<?php endif;?>
		</div>
	</div>
</div>
<script>
	var toolsCompras = new Transaccionestools('<?php echo base_url();?>');
	toolsCompras.setProductFrame($("#nueva-compra-producto-info"));
	toolsCompras.setProductTable($("#nueva-entrada-compra-productos-wrapper > table"));
	toolsCompras.setTotalTable($("#nueva-entrada-compra-totales-wrapper"));
	
	
	
	$("#compras-buscar-producto-btn").click(function(e){
		Custombox.open({
            target:"<?php echo base_url("productos/buscarproductos");?>?field=nueva-compra-producto-sku&enter=true",
            effect: 'fadein'
        });
        e.preventDefault();
	});
	
	<?php if(!isset($entrada)):?>
	toolsCompras.SetTotalsProfile('grabadas,iva,subtotal,percepcion,nosujetas,exentas,total','subtotal|+|percepcion|+|nosujetas|+|exentas',true);
	<?php else:?>
		if($("#nueva-compra-documento").val()=='0'){
			if($("#nueva-compra-proveedor option:selected").attr("data-type")==3){
				toolsCompras.SetTotalsProfile('grabadas,iva,subtotal,percepcion,nosujetas,exentas,total','subtotal|+|percepcion|+|nosujetas|+|exentas',true);
			}else{
				toolsCompras.SetTotalsProfile('grabadas,iva,subtotal,nosujetas,exentas,total','subtotal|+|nosujetas|+|exentas',true);
			}
		}else if($("#nueva-compra-documento").val()=='1'){
			toolsCompras.SetTotalsProfile('grabadas,nosujetas,exentas,total','grabadas|+|nosujetas|+|exentas',true);
		}
	<?php endif;?>
	$('#nueva-entrada-compra-productos-wrapper').slimScroll({
		height: '150px'
	});
	$("#nueva-compra-proveedor").chosen({
		no_results_text: "No se encontro ningun resultado",
		allow_single_deselect: true
	}).change(function(){
		var type=$("#nueva-compra-proveedor option:selected").attr("data-type");
		if(type==0){
			toolsCompras.SetTotalsProfile('sumas,total','sumas',true);
		}else if(type==1 || type==2 ){
			toolsCompras.SetTotalsProfile('grabadas,iva,subtotal,nosujetas,exentas,total','subtotal|+|nosujetas|+|exentas',true);
		}else if(type==3){
			toolsCompras.SetTotalsProfile('grabadas,iva,subtotal,percepcion,nosujetas,exentas,total','subtotal|+|percepcion|+|nosujetas|+|exentas',true);
		}
	});
	
	$("#nueva-compra-documento").on('change',function(){
		if($(this).val()=='0'){
			if($("#nueva-compra-proveedor option:selected").attr("data-type")==3){
				toolsCompras.SetTotalsProfile('grabadas,iva,subtotal,percepcion,nosujetas,exentas,total','subtotal|+|percepcion|+|nosujetas|+|exentas',true);
			}else{
				toolsCompras.SetTotalsProfile('grabadas,iva,subtotal,nosujetas,exentas,total','subtotal|+|nosujetas|+|exentas',true);
			}
		}else if($(this).val()=='1'){
			toolsCompras.SetTotalsProfile('grabadas,nosujetas,exentas,total','grabadas|+|nosujetas|+|exentas',true);
		}
	});
	
	
	$("#nueva-compra-producto-sku").keypress(function(e) {
		if(e.which == 13) {
			e.preventDefault();
			toolsCompras.getProductInfoBySKU('tipo_venta,descripcion,precios',$(this).val(),$("#nueva-compra-producto-cant"));
			$('#nueva-compra-producto-costo').val('');
		}
	});
	$("#nueva-compra-producto-agregar").click(function(e){
		toolsCompras.addProductToTable('data:.frame-producto-id@data-id,data:.frame-presentacion-id@data-pre,data:.frame-unidades-representativas@data-uequiv,data:.frame-producto-precios@data-pventa,field:.frame-producto-sku@table-sku,field:.frame-producto-desc@table-desc,field:.frame-producto-cant@table-cant,field:.frame-producto-costo@table-costo,operation:.frame-producto-cant|*|.frame-producto-costo@table-total,translation:.frame-producto-tipoventa@table-tipoventa,command:remove@table-del');
	});
	
	$("#nueva-entrada-compra-productos-wrapper").on('click','table tr td.table-del',function(){
		var tr = $(this).closest('tr');
		toolsCompras.removeProductToTable($(tr));
	});
	/*Gastos*/
	/*Agregar*/
	$("#nueva-compra-gastos-agregar").click(function(){
		if($.trim($("#nueva-compra-gasto-desc").val())!='' && $.trim($("#nueva-compra-gasto-importe").val())!=''){
			var trhtml="<tr><td class='table-desc' data-value='"+$.trim($("#nueva-compra-gasto-desc").val())+"' >"+$.trim($("#nueva-compra-gasto-desc").val())+"</td><td class='table-total' data-value='"+$.trim($("#nueva-compra-gasto-importe").val())+"'>"+$.trim($("#nueva-compra-gasto-importe").val())+"</td><td class='table-del'><button type='button' class='btn btn-danger btn-xs btn-rounded'><i class='fa fa-times'></i></button></td></tr>";
			$("#nueva-entrada-compra-gastos-wrapper tbody").append(trhtml);
			calTotalGasto();
			$("#nueva-compra-gasto-desc").val('');
			$("#nueva-compra-gasto-importe").val('');
			$("#nueva-compra-gasto-desc").focus();
			
		}else{
			toastr.options = {
			  "closeButton": true,
			  "progressBar": true,
			  "positionClass": "toast-top-right"
			}
			toastr.error('Complete todos los campos relacionados con los gastos para poder agregar');
			$("#nueva-compra-gasto-desc").focus();
		}
	});
	/*Quitar*/
	$("#nueva-entrada-compra-gastos-wrapper").on('click','table tr td.table-del',function(){
		var tr = $(this).closest('tr');
		tr.remove();
		calTotalGasto();
	});
	
	function calTotalGasto(){
		var total=0;
		$("#nueva-entrada-compra-gastos-wrapper tbody tr").each(function(i,tr){
			total+= parseFloat($(tr).find('.table-total').attr('data-value'));
		});
		$("#nueva-entrada-gastos-total").attr('data-value',total);
		$("#nueva-entrada-gastos-total h3").html(total);
		
	}
	/*Navegacion*/
	$("#nueva-compra-productos-next-btn").click(function(e){
		if(entradas.validarEntradaCompra(e)){
			swal({
				title: 'Guardar Transacci&oacute;n ',
				text: 'Este proceso es irreversible<br>&iquest;Deseas guardar la compra de '+$("#nueva-entrada-compra-productos-wrapper table tbody tr").size()+' items al '+$("#nueva-compra-condicion option:selected").text()+' al proveedor "'+$("#nueva-compra-proveedor option:selected").text()+'" con '+$("#nueva-compra-documento option:selected").text()+' n&uacute;mero '+$("#nueva-compra-documento-numero").val()+'?',
				html: true,
				type: 'info',
				showCancelButton: true,
				confirmButtonColor: '#3C8DBC',
				confirmButtonText: 'Si, guardar datos de compra',
				cancelButtonText: 'No guardar nada'
			},
			function(isConfirm) {
				if(isConfirm){
					$("#nueva-compra-gastos-tab").attr('data-toggle','tab');
					$("#nueva-compra-gastos-tab").trigger('click'); 
				}else{
					$("#credito-compra").val("");
					$("#ncredito-fecha-limite").val("");
					$(e.target).removeAttr('disabled');
				}
			});
		}
	});
	$("#nueva-compra-gastos-next-btn").click(function(e){
		if($("#nueva-entrada-compra-gastos-wrapper table tr").size()>0){/*Verificar tabla de gastos*/
			swal({
				title: 'Registar Gastos y guardar venta ',
				text: 'Se han registrados <strong>$'+$("#nueva-entrada-gastos-total").attr("data-value")+'</strong> gastos de compra<br>&iquest;Deseas registar estos gastos para la compra del proveedor "'+$("#nueva-compra-proveedor option:selected").text()+'" con '+$("#nueva-compra-documento option:selected").text()+' n&uacute;mero '+$("#nueva-compra-documento-numero").val()+'?',
				html: true,
				type: 'info',
				showCancelButton: true,
				confirmButtonColor: '#3C8DBC',
				confirmButtonText: 'Si, continuar',
				cancelButtonText: 'No agregar estos gastos'
			},
			function(isConfirm) {
				if(isConfirm){
					entradas.guardarEntradaCompras();
				}else{
					$(e.target).removeAttr('disabled');
					$("#nueva-compra-gasto-desc").focus();
				}
			});
		}else{
			swal({
				title: 'Registar Gastos y guardar venta ',
				text: 'No se han registrados gastos de compra<br>&iquest;Deseas continuar sin registar gastos para la compra del proveedor "'+$("#nueva-compra-proveedor option:selected").text()+'" con '+$("#nueva-compra-documento option:selected").text()+' n&uacute;mero '+$("#nueva-compra-documento-numero").val()+'?',
				html: true,
				type: 'info',
				showCancelButton: true,
				confirmButtonColor: '#3C8DBC',
				confirmButtonText: 'Si, continuar',
				cancelButtonText: 'No, agregaré gastos'
			},
			function(isConfirm) {
				if(isConfirm){
					entradas.guardarEntradaCompras();
				}else{
					$(e.target).removeAttr('disabled');
					$("#nueva-compra-gasto-desc").focus();
				}
			});
		}
	});
</script>